#include <iostream>
#include <string>
using namespace std;
void stringFlip(string& s){
    long long l=s.length();
    for(long long i=0; i<l/2; i++){
        swap(s[i], s[l-i-1]);
    }
}
long long min(long long a, long long b){
    if(a<=b)
        return a;
    return b;
}
int main(){
    ios_base::sync_with_stdio(false);
    string s, sf;
    long long l, c1=0, c2=0;
    cin>>s;
    sf=s;
    stringFlip(sf);
    l=s.length();
    for(long long i=0; i<l; i++){
        if(i!=s.find(s[i])){
            if(s[i]!=s[i-1]){
                s[i]=s[i-1];
                c1++;
            }
        }
        if(i!=sf.find(sf[i])){
            if(sf[i]!=sf[i-1]){
                sf[i]=sf[i-1];
                c2++;
            }
        }
    }
    cout<<min(c1, c2);
    return 0;
}